Page MenuHomePhabricator

evas: add a test for loading Android 9patch file.
ClosedPublic

Authored by cedric on Jun 14 2019, 5:17 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jun 14 2019, 5:17 PM
cedric requested review of this revision.Jun 14 2019, 5:17 PM
zmike requested changes to this revision.Jun 17 2019, 10:04 AM

Shouldn't this also verify that there is nothing rendered outside the content area?

src/tests/evas/evas_test_image.c
1086

This should use ck_assert_int_eq

This revision now requires changes to proceed.Jun 17 2019, 10:04 AM
In D9105#167420, @zmike wrote:

Shouldn't this also verify that there is nothing rendered outside the content area?

It does check that it, as the image compared to, does include the overlay rectangle that mark the content zone.

cedric planned changes to this revision.Jun 19 2019, 10:46 AM
cedric updated this revision to Diff 22847.Jun 19 2019, 12:19 PM
cedric edited the summary of this revision. (Show Details)

Rebase and take comments into account.

zmike accepted this revision.Thu, Jun 20, 7:04 AM

Oops, I misread.

This revision is now accepted and ready to land.Thu, Jun 20, 7:04 AM
cedric updated this revision to Diff 22902.Thu, Jun 20, 5:03 PM

Rebase and rename.

segfaultxavi requested changes to this revision.Thu, Jun 20, 11:26 PM
segfaultxavi added a subscriber: segfaultxavi.

What's that 9patch_test.9.png.png file?

This revision now requires changes to proceed.Thu, Jun 20, 11:26 PM

What's that 9patch_test.9.png.png file?

The visual expected result of having the 9 patch image properly stretched with the content region overlaying it. Doing a double check in one pass.

segfaultxavi resigned from this revision.Fri, Jun 21, 9:12 AM

Ah, OK. Since I found no reference to it in the code I thought it was a mistake :)

This revision is now accepted and ready to land.Fri, Jun 21, 9:12 AM
Hermet accepted this revision.Tue, Jun 25, 6:59 PM
This revision was automatically updated to reflect the committed changes.